View Issue Details

IDProjectCategoryView StatusLast Update
0001202SymmetricDSBugpublic2014-02-02 20:53
ReporterabrougherAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.2 
Target Version3.4.3Fixed in Version3.4.3 
Summary0001202: Wild card expressions are currently broken
DescriptionWhen the TriggerRouterService looks for old triggers to remove from a table it only looks up the history by the trigger ID. If the last trigger created by a wild card trigger was for a different table, the trigger name from the other table will be used in the drop statement for the current table. This causes the drop to fail.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master ed23682f

2013-05-06 12:31:24

abrougher

Details Diff
0001202: If a wild card trigger matches more than one table, some triggers may not be created.
0001202
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File

SymmetricDS: master f2969100

2013-05-07 17:09:03

chenson

Details Diff
0001202: Wild card expressions are currently broken
0001202
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/h2/H2SymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File

SymmetricDS: master 04afbeb2

2013-05-07 17:11:07

chenson

Details Diff
0001202: Wild card expressions are currently broken
0001202
mod - symmetric-server/src/main/deploy/change-log-3.0.txt Diff File

Issue History

Date Modified Username Field Change
2013-05-06 12:29 abrougher New Issue
2013-05-06 12:29 abrougher Status new => assigned
2013-05-06 12:29 abrougher Assigned To => abrougher
2013-05-07 08:28 chenson Fixed in Version => 3.5.0
2013-05-07 08:28 chenson Target Version 3.4.3 => 3.5.0
2013-05-07 14:02 chenson Assigned To abrougher => chenson
2013-05-07 14:02 chenson Fixed in Version 3.5.0 => 3.4.3
2013-05-07 14:02 chenson Target Version 3.5.0 => 3.4.3
2013-05-07 14:02 chenson Summary If a wild card trigger matches more than one table, some triggers may not be created. => Wild card expressions are currently broken
2013-05-07 17:09 chenson Status assigned => closed
2013-05-07 17:09 chenson Resolution open => fixed
2014-02-02 20:53 abrougher Changeset attached => SymmetricDS trunk r7155
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7161
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7162
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7163
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7164
2014-02-02 20:53 Changeset attached => SymmetricDS 3.4 r7167
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 04afbeb2
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master f2969100
2015-07-30 21:49 abrougher Changeset attached => SymmetricDS master ed23682f